1. Уважаемые пользователи, прежде чем ответить в теме или создать новую,
    внимательно ознакомьтесь с правилами раздела

    Кому лень работать или руки не оттуда - пользуйтесь услугами специалистов
  2. Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.."

    Есть JED!!! Ищите там!!!

Инфо Joomla 3 и PHP 7

Тема в разделе "Joomla", создана пользователем binh, 20 сен 2016.

XEvil 4.0 Релиз Состоялся!
Метки:
?

Какую версию PHP используете вы?

  1. 5.3

    11 голосов
    5,8%
  2. 5.6

    53 голосов
    27,7%
  3. 7

    124 голосов
    64,9%
  4. Пока нормально работает Joomla 1.5 на 4-й

    3 голосов
    1,6%
Информация :
  • Уважаемые пользователи, прежде чем ответить в теме или создать новую, внимательно ознакомьтесь с правилами раздела
  • Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.." Есть JED!!! Ищите там!!!
  • Аналоги ищите там же - на JED!!!
  • Новая версия? - У кого будет - тот выложит!
Модераторы: arman29, DMS
  1. DmitriyK

    DmitriyK

    Регистр.:
    17 июн 2015
    Сообщения:
    151
    Симпатии:
    165
    у меня с лета прошлого года на виртуальных серверах (debian 9 + webmin + vm) минимум раз в месяц и всегда в период с 2-00 - 7-00 общеевропейского времени останавливается служба MySQL. Простым запуском служба не запускается - только reboot. Иногда это проблема проявляется чаше, но приходят какие то обновления и вроде бы налаживается. Я не сисадмин и больше я ничего не могу сказать. Это было на разных хостингах, работали разные сайты и на разных версиях php. Думаю, что проблема в серверном по.
     
    jabbaxatt нравится это.
  2. volodimirivna1992

    volodimirivna1992 Писатель

    Регистр.:
    1 окт 2017
    Сообщения:
    1
    Симпатии:
    0
    Кто знает почему Joomla (и особенно шаблоны от Rockettheme) не работают с РНР 7.4?
    Ну тоесть как, система вроде работает, но при сохранении темплейта вылетает с ошибками типа "ждали че-гото там, но поличили только srting"..
    Это можно как-то починить?
     
  3. luistef

    luistef Создатель

    Регистр.:
    10 июн 2016
    Сообщения:
    18
    Симпатии:
    11
    Hola, estoy usando Supra 1.0.5 con php 7.4.6 y funciona para mí, solo tuve que actualizar Gantry a la última versión.
    By the way, does anyone have the latest version of Supra?
     
  4. kloud

    kloud

    Регистр.:
    24 окт 2011
    Сообщения:
    191
    Симпатии:
    101
    Сам Joomla-то будет работать а вот сторонние расширения и шаблони уже если не обновлени разработчиками то могут иметьпроблеми. проверте, установлено ли у вас последние версии самого Joomla, его расширении и шаблонов.
     
    luistef нравится это.
  5. itmgk

    itmgk Писатель

    Регистр.:
    27 мар 2019
    Сообщения:
    5
    Симпатии:
    3
    берете ошибку, в яндекс или гугл ее... пару-тройку сайтов просматриваете, и становится понятно, что нужно подправить)
    делается за пол-часа макс, если много чего и где вылазит...
     
  6. AlexSav

    AlexSav Постоялец

    Регистр.:
    3 фев 2016
    Сообщения:
    62
    Симпатии:
    15
    Дело в том, что Joomla - это движок, который разрабатывается одной командой разработчиков, а надстройки к нему разрабатываются другими студиями или просто энтузиастами. Joomla в чистом виде довольно быстро выпускает обновление для новой php, а разработчики не всегда с этим спешат. Потому, даже если у Вас все корректно обновилось или установилось, не факт, что оно будет правильно работать.

    Самое простое решение - понизить версию PHP до 7.0 или 7.1. Скорее всего, все будет работать правильно. Если Вам нужна именно PHP 7.4, нужно писать разработчикам (может они уже выпустили обновление), либо самому хорошо разбираться в этом вопросе.
     
  7. VladimirZ

    VladimirZ Создатель

    Регистр.:
    19 ноя 2012
    Сообщения:
    13
    Симпатии:
    2
    Для шаблонов часто достаточно обновить Gantry Framework, на котором основаны шаблоны RocketTheme. Gantry 4 или 5 в зависимости от шаблона.
     
    Гинзбург нравится это.
  8. Voro

    Voro Создатель

    Регистр.:
    4 сен 2015
    Сообщения:
    43
    Симпатии:
    5
    Даже если обновлять всё вовремя, не факт, что всё будет работать, поскольку не все разработчики успевают выпустить релизы к выходу обновления движка.